ARWrapper Provides a C++ wrapper around ARToolKit and exposes a C and JNI API

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator
Public Types | Public Member Functions | Public Attributes | List of all members
ARPattern Class Reference

Encapsulates information about a sub-component of a marker useful for presentation to a user. More...

`#include <ARPattern.h>`

## Public Types
enum | PATTERN_TYPE { PATTERN_TYPE_NONE = 0, PATTERN_TYPE_TEMPLATE, PATTERN_TYPE_MATRIX, PATTERN_TYPE_ISET }

## Public Member Functions
| ARPattern ()
| ~ARPattern ()
bool | loadTemplate (int patternID, const ARPattHandle *arPattHandle, float width)
bool | loadMatrix (int barcodeID, AR_MATRIX_CODE_TYPE type, float width)
bool | loadISet (const AR2ImageSetT *imageSet, float nftScale)

## Public Attributes
ARdouble | m_matrix [16]
| Transform of the pattern from origin. More...
float | m_width
| Width of the pattern in mm. More...
float | m_height
| Height of the pattern in mm. More...
int | m_imageSizeX
int | m_imageSizeY
Color * | m_image
| Image of the pattern. More...

## Detailed Description

Encapsulates information about a sub-component of a marker useful for presentation to a user.

For a single square marker, there will be one pattern per marker. For a multimarker (multiple square markers), there will be one or more patterns per marker.

Currently, the encapsulated information is the pose relative to the marker origin, and (for template markers only) the visual appearance of the pattern.

## Member Enumeration Documentation

enum ARPattern::PATTERN_TYPE

Enumerator
PATTERN_TYPE_NONE |
PATTERN_TYPE_TEMPLATE |
PATTERN_TYPE_MATRIX |
PATTERN_TYPE_ISET |

## Constructor & Destructor Documentation

ARPattern::ARPattern | ( |  | ) |

ARPattern::~ARPattern | ( |  | ) |

## Member Function Documentation

bool ARPattern::loadISet | ( | const AR2ImageSetT * | imageSet,
|  | float | nftScale
| ) |  |

bool ARPattern::loadMatrix | ( | int | barcodeID,
|  | AR_MATRIX_CODE_TYPE | type,
|  | float | width
| ) |  |

bool ARPattern::loadTemplate | ( | int | patternID,
|  | const ARPattHandle * | arPattHandle,
|  | float | width
| ) |  |

## Member Data Documentation

float ARPattern::m_height

Height of the pattern in mm.

Color* ARPattern::m_image

Image of the pattern.

int ARPattern::m_imageSizeX

int ARPattern::m_imageSizeY

ARdouble ARPattern::m_matrix[16]

Transform of the pattern from origin.

float ARPattern::m_width

Width of the pattern in mm.

The documentation for this class was generated from the following files:

- include/ARWrapper/ARPattern.h
- lib/SRC/ARWrapper/ARPattern.cpp